Skip to main content
GET
Queue a CSV export of sponsorships (async)

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

program_id
required

Program to export, or the literal string all.

Query Parameters

column_order
string[]

Optional ordered export column keys. Prefer the POST body for wide worksheets.

Example:
column_labels
object

Optional key-to-label map, or a JSON-encoded map, for requested export columns. Labels only affect validated columns from column_order; they cannot add columns.

Example:

Response

Export queued.

message
string
Example:

"Export initiated successfully. You will get a notification in Activity when the CSV is ready to download."

status
string
Example:

"queued"

export_id
integer
Example:

512

status_url
string
Example:

"/admin/sponsorships/exports/512/status"